package com.casic.br.model;

import java.util.List;

public class BannerImageModel {

    private int code;
    private DataModel data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataModel getData() {
        return data;
    }

    public void setData(DataModel data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private List<RowsModel> rows;
        private int total;

        public List<RowsModel> getRows() {
            return rows;
        }

        public void setRows(List<RowsModel> rows) {
            this.rows = rows;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public static class RowsModel {
            private String bannerModule;
            private String bannerModuleName;
            private String bannerName;
            private String bannerPicture;
            private int bannerSort;
            private String createTime;
            private String id;
            private String ids;
            private String skipUrl;
            private String updateTime;

            public String getBannerModule() {
                return bannerModule;
            }

            public void setBannerModule(String bannerModule) {
                this.bannerModule = bannerModule;
            }

            public String getBannerModuleName() {
                return bannerModuleName;
            }

            public void setBannerModuleName(String bannerModuleName) {
                this.bannerModuleName = bannerModuleName;
            }

            public String getBannerName() {
                return bannerName;
            }

            public void setBannerName(String bannerName) {
                this.bannerName = bannerName;
            }

            public String getBannerPicture() {
                return bannerPicture;
            }

            public void setBannerPicture(String bannerPicture) {
                this.bannerPicture = bannerPicture;
            }

            public int getBannerSort() {
                return bannerSort;
            }

            public void setBannerSort(int bannerSort) {
                this.bannerSort = bannerSort;
            }

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getIds() {
                return ids;
            }

            public void setIds(String ids) {
                this.ids = ids;
            }

            public String getSkipUrl() {
                return skipUrl;
            }

            public void setSkipUrl(String skipUrl) {
                this.skipUrl = skipUrl;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }
        }
    }
}